Activate IP List
This endpoint activates IP List. IP List is active by default, so you shouldn’t make this request unless the IP List is inactive.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/iplist/activate| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | IP List ID. | required |
{ "IpList": { "Id": 1 }}Response
Section titled “Response”{ "Status": "Ok", "IpList": { "Id": 1, "TeamId": 1, "Name": "IP List 1", "VastTags": [ 7, 8 ], "RtbEps": [ 1, 2 ], "DspRtbEps": [ 3, 4 ], "DspPopFeeds": [ 5, 6 ], "IpCount": 16063, "IpRangesCount": 9895, "Global": 0, "Status": 0, "StatusString": "Active" }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
400 | Bad Request | You sent a body that isn’t JSON. |
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |